abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

včera 18:11 | Nová verze

Společnost Oracle oficiálně oznámila vydání Java SE 9 (JDK 9), Java Platform Enterprise Edition 8 (Java EE 8) a Java EE 8 Software Development Kit (SDK). Java SE 9 přináší více než 150 nových vlastností.

Ladislav Hagara | Komentářů: 0
včera 12:11 | Komunita

Na Humble Bundle lze získat hororovou počítačovou hru Outlast (Wikipedie) běžící také v Linuxu zdarma. Speciální akce končí v sobotu v 19:00.

Ladislav Hagara | Komentářů: 1
včera 10:33 | Humor

Mozilla.cz upozorňuje na Knihu Mozilly (Wikipedie), tj. velikonoční vajíčko ve Firefoxu. Zobrazit jej lze zadáním about:mozilla do adresního řádku. Aktuální verze Firefoxu obsahuje proroctví 15:1 "Dvojčata Mamonu se rozhádala a jejich souboje uvrhly svět do nové tmy. Zvířeti se ale tma hnusila. A tak se stalo mrštnější a silnější, šlo vpřed a jeho počty rostly. A zvíře přineslo oheň a světlo do tmy". Firefox 57 bude obsahovat proroctví 11:14. To je zatím jenom v angličtině. Pomoci lze s překladem do češtiny.

Ladislav Hagara | Komentářů: 8
včera 01:22 | Zajímavý projekt
Před měsícem byla spuštěna kampaň na podporu chytrého telefonu Librem 5, jenž by měl respektovat bezpečnost, svobodu a soukromí uživatelů. Cílem kampaně je vybrat alespoň milion a půl dolarů. Aktuálně je vybráno přes 600 000 dolarů, tj. 40 %. Kampaň poběží ještě další měsíc. Podporu projektu oznámilo KDE i GNOME.
Ladislav Hagara | Komentářů: 26
včera 00:55 | Komunita

Agentura DISA (Defense Information Systems Agency) publikovala (pdf) Ubuntu 16.04 Security Technical Implementation Guide (STIG) (zip), tj. doporučené bezpečnostní nastavení Ubuntu 16.04. Ubuntu se tak dostalo mezi unixové operační systémy a linuxové distribuce AIX, HP-UX, Oracle Linux, Red Hat a Solaris [reddit].

Ladislav Hagara | Komentářů: 2
21.9. 22:55 | Bezpečnostní upozornění

CSIRT.CZ informuje, že byly vydány nové bezpečnostní aktualizace, které opravují několik zranitelných míst v Sambě. Útočník může využít zranitelnosti s cílem získání přístupu k potenciálně citlivých informací. Uživatelům a správcům je doporučeno, aby zkontrolovali bezpečnostní opatření pro CVE-2017-12150, CVE-2017-12151 a CVE-2017-12163 a provedli potřebné aktualizace.

Ladislav Hagara | Komentářů: 0
21.9. 21:44 | Komunita

Společnost Red Hat aktualizovala svůj slib ohledně softwarových patentů. Slib nově zahrnuje i open source software pod permisivními licencemi.

Ladislav Hagara | Komentářů: 0
21.9. 08:55 | Komunita

Do 22. září probíhá v Mountain View konference XDC2017 (X.Org Developer's Conference). Na programu je řada zajímavých přednášek. Sledovat je lze online. K dispozici je záznam přednášek ze včerejšího dne.

Ladislav Hagara | Komentářů: 0
20.9. 17:33 | Nová verze

Byla vydána nová stabilní verze 1.12 (1.12.955.36) webového prohlížeče Vivaldi (Wikipedie). Z novinek vývojáři zdůrazňují možnost zobrazení metadat u digitálních fotografií, vylepšený panel stahování a omezení sytosti barvy zdůraznění (YouTube). Nejnovější Vivaldi je postaveno na Chromiu 61.0.3163.91.

Ladislav Hagara | Komentářů: 40
20.9. 10:55 | Nová verze

Byla vydána verze 4.0 programovacího jazyka Swift (Wikipedie). Zdrojové kódy jsou k dispozici na GitHubu. Ke stažení jsou oficiální binární balíčky pro Ubuntu 16.10, Ubuntu 16.04 a Ubuntu 14.04.

Ladislav Hagara | Komentářů: 5
Těžíte nějakou kryptoměnu?
 (5%)
 (3%)
 (17%)
 (75%)
Celkem 558 hlasů
 Komentářů: 22, poslední 29.8. 11:23
    Rozcestník

    Dotaz: Aktualizace starého serveru - Debian 6

    27.7.2015 09:08 Wex | skóre: 4
    Aktualizace starého serveru - Debian 6
    Přečteno: 1999×
    Zdravím ve spolek, momentálně řeším problém s aktualizací serveru Debian 6.0.6, který nebyl cca. 3,5 roku aktualizovaný.

    při aktualizaci to vypíše následující chyby:
    apt-get upgrade
    Čtu seznamy balíků… Hotovo
    Vytvářím strom závislostí
    Čtu stavové informace… Hotovo
    Pro opravení můžete spustit „apt-get -f install“.
    Následující balíky mají nesplněné závislosti:
     cups-bsd : Závisí na: cups-client (= 1.7.5-11) ale 1.4.4-7+squeeze1 je nainstalován
     gnome-disk-utility : Závisí na: libcanberra-gtk3-0 (>= 0.25) ale není nainstalovaný
                          Závisí na: libdvdread4 (>= 4.1.3) ale není nainstalovaný
                          Závisí na: libgdk-pixbuf2.0-0 (>= 2.22.0) ale není nainstalovaný
                          Závisí na: libglib2.0-0 (>= 2.37.3) ale 2.24.2-1 je nainstalován
                          Závisí na: libgtk-3-0 (>= 3.9.12) ale není nainstalovaný
                          Závisí na: libnotify4 (>= 0.7.0) ale není nainstalovaný
                          Závisí na: libpango-1.0-0 (>= 1.18.0) ale není nainstalovaný
                          Závisí na: libpwquality1 (>= 1.1.0) ale není nainstalovaný
                          Závisí na: libsecret-1-0 (>= 0.7) ale není nainstalovaný
                          Závisí na: libsystemd0 ale není nainstalovaný
                          Závisí na: libudisks2-0 (>= 2.1.1) ale není nainstalovaný
                          Závisí na: dconf-gsettings-backend ale není nainstalovaný nebo
                                       gsettings-backend
                          Závisí na: udisks2 (>= 2.1.1) ale není nainstalovaný
     libcups2 : Porušuje: cups (< 1.5.0) ale 1.4.4-7+squeeze1 je nainstalován
     libcupsmime1 : Porušuje: cups (< 1.5.0) ale 1.4.4-7+squeeze1 je nainstalován
     libdbus-glib-1-2 : Závisí na: libglib2.0-0 (>= 2.31.8) ale 2.24.2-1 je nainstalován
     libharfbuzz0b : Závisí na: libglib2.0-0 (>= 2.30.0) ale 2.24.2-1 je nainstalován
     libpango1.0-0 : Závisí na: libpango-1.0-0 (= 1.36.8-3) ale není nainstalovaný
     libpangocairo-1.0-0 : Závisí na: libglib2.0-0 (>= 2.37.3) ale 2.24.2-1 je nainstalován
                           Závisí na: libpango-1.0-0 (>= 1.32.4) ale není nainstalovaný
     libpangoft2-1.0-0 : Závisí na: libglib2.0-0 (>= 2.37.3) ale 2.24.2-1 je nainstalován
                         Závisí na: libpango-1.0-0 (>= 1.36.0) ale není nainstalovaný
     libpangox-1.0-0 : Závisí na: libglib2.0-0 (>= 2.34.0) ale 2.24.2-1 je nainstalován
                       Závisí na: libpango-1.0-0 (>= 1.32.5-3~) ale není nainstalovaný
     libpangoxft-1.0-0 : Závisí na: libglib2.0-0 (>= 2.37.3) ale 2.24.2-1 je nainstalován
                         Závisí na: libpango-1.0-0 (>= 1.22.0) ale není nainstalovaný
     libsmbclient : Závisí na: samba-libs (= 2:4.1.17+dfsg-2) ale není nainstalovaný
     python-apt : Závisí na: python (>= 2.7) ale 2.6.6-3+squeeze7 je nainstalován
                  Závisí na: libapt-inst1.5 (>= 1.0.4~) ale není nainstalovaný
                  Závisí na: libapt-pkg4.12 (>= 1.0.9.3) ale není nainstalovaný
                  Doporučuje: lsb-release ale není nainstalovaný
     python-gconf : Závisí na: python (>= 2.7) ale 2.6.6-3+squeeze7 je nainstalován
                    Závisí na: gconf-service ale není nainstalovaný
                    Závisí na: libgconf-2-4 (>= 3.2.5) ale není nainstalovaný
                    Závisí na: python-gobject-2 (>= 2.17.0) ale není nainstalovaný
     python-gnome2 : Závisí na: python (>= 2.7) ale 2.6.6-3+squeeze7 je nainstalován
                     Závisí na: gconf-service ale není nainstalovaný
                     Závisí na: libbonobo2-0 (>= 2.32.1-3~) ale 2.24.3-1 je nainstalován
                     Závisí na: libgconf-2-4 (>= 3.2.5) ale není nainstalovaný
                     Závisí na: libgdk-pixbuf2.0-0 (>= 2.22.0) ale není nainstalovaný
                     Závisí na: libgnome-2-0 ale není nainstalovaný
                     Závisí na: liborbit-2-0 (>= 1:2.14.10) ale není nainstalovaný
                     Závisí na: libpango-1.0-0 (>= 1.14.0) ale není nainstalovaný
                     Závisí na: python-gobject-2 (>= 2.17.0) ale není nainstalovaný
     python-gobject : Závisí na: python-gi (>= 3.14.0-1) ale není nainstalovaný
                      Závisí na: python-gobject-2 ale není nainstalovaný
     python-gtk2 : Závisí na: python (>= 2.7) ale 2.6.6-3+squeeze7 je nainstalován
                   Závisí na: python-numpy (>= 1:1.8.0) ale 1:1.4.1-5 je nainstalován
                   Závisí na: python-numpy-abi9
                   Závisí na: libgdk-pixbuf2.0-0 (>= 2.22.0) ale není nainstalovaný
                   Závisí na: libgtk2.0-0 (>= 2.24.0) ale 2.20.1-2 je nainstalován
                   Závisí na: libpango-1.0-0 (>= 1.22.0) ale není nainstalovaný
                   Závisí na: python-gobject-2 (>= 2.21.3) ale není nainstalovaný
     python-gtksourceview2 : Závisí na: libgdk-pixbuf2.0-0 (>= 2.22.0) ale není nainstalovaný
     python-libxml2 : Závisí na: python (>= 2.7) ale 2.6.6-3+squeeze7 je nainstalován
     python-pyorbit : Závisí na: python (>= 2.7) ale 2.6.6-3+squeeze7 je nainstalován
                      Závisí na: liborbit-2-0 (>= 1:2.14.10) ale není nainstalovaný
    E: Nesplněné závislosti. Zkuste použít -f.
    
    Při použití -f to vypíše tuto chybu:
    apt-get -f upgrade
    Čtu seznamy balíků… Hotovo
    Vytvářím strom závislostí
    Čtu stavové informace… Hotovo
    Opravuji závislosti… Hotovo
    Následující balíky budou ODSTRANĚNY:
      apache2.2-common capplets-data console-terminus defoma file-roller gir1.0-clutter-1.0 gir1.0-freedesktop gir1.0-glib-2.0 gir1.0-gstreamer-0.10 gir1.0-gtk-2.0 gir1.0-json-glib-1.0 gnome-about gnome-core
      gstreamer0.10-plugins-good libaudit0 libebook1.2-9 libecal1.2-7 libedata-book1.2-2 libedata-cal1.2-7 libedataserverui1.2-8 libept1 libevince2 libgd2-xpm libgphoto2-2 libgs8 libjpeg62 libmetacity-private0
      libnautilus-extension1 libpanel-applet2-0 libpango1.0-common libperl5.10 libpolkit-gtk-1-0 libpoppler-glib4 libpoppler5 libseed0 libtiff4 libwebkit-1.0-2 metacity mysql-client-5.1 mysql-server-5.1 mysql-server-core-5.1
      php5-suhosin portmap xserver-xorg-input-wacom xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-chips xserver-xorg-video-i128 xserver-xorg-video-i740 xserver-xorg-video-nv xserver-xorg-video-rendition
      xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-sis xserver-xorg-video-tseng xserver-xorg-video-voodoo xulrunner-1.9.1
    Následující NOVÉ balíky budou nainstalovány:
      accountsservice acl adwaita-icon-theme apache2-bin apache2-data apg aptitude-common at-spi2-core autopoint avahi-daemon baobab bluez bluez-obexd build-essential caribou caribou-antler cgmanager cheese-common colord
      colord-data console-setup-linux cracklib-runtime crda cups-browsed cups-core-drivers cups-daemon cups-filters cups-filters-core-drivers cups-pk-helper cups-server-common dconf-cli dconf-editor dconf-gsettings-backend
      dconf-service dconf-tools debhelper dh-php5 dh-python dleyna-server dns-root-data dnsmasq-base dpkg-dev empathy empathy-common fakeroot folks-common fonts-cantarell fonts-droid freepats fuse g++ g++-4.9 gconf-service gcr
      gdebi-core gdisk geoclue-2.0 gettext gir1.2-accountsservice-1.0 gir1.2-atk-1.0 gir1.2-atspi-2.0 gir1.2-caribou-1.0 gir1.2-clutter-1.0 gir1.2-clutter-gst-2.0 gir1.2-cogl-1.0 gir1.2-coglpango-1.0 gir1.2-evince-3.0
      gir1.2-freedesktop gir1.2-gck-1 gir1.2-gconf-2.0 gir1.2-gcr-3 gir1.2-gdesktopenums-3.0 gir1.2-gdkpixbuf-2.0 gir1.2-gdm3 gir1.2-gkbd-3.0 gir1.2-glib-2.0 gir1.2-gmenu-3.0 gir1.2-gnomebluetooth-1.0 gir1.2-gnomedesktop-3.0
      gir1.2-gnomekeyring-1.0 gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gir1.2-gtk-3.0 gir1.2-gtkclutter-1.0 gir1.2-gtksource-3.0 gir1.2-gtop-2.0 gir1.2-ibus-1.0 gir1.2-javascriptcoregtk-3.0 gir1.2-json-1.0
      gir1.2-mutter-3.0 gir1.2-networkmanager-1.0 gir1.2-nmgtk-1.0 gir1.2-notify-0.7 gir1.2-packagekitglib-1.0 gir1.2-panelapplet-4.0 gir1.2-pango-1.0 gir1.2-peas-1.0 gir1.2-polkit-1.0 gir1.2-soup-2.4 gir1.2-telepathyglib-0.12
      gir1.2-telepathylogger-0.2 gir1.2-upowerglib-1.0 gir1.2-webkit-3.0 gir1.2-xkl-1.0 gjs gkbd-capplet glib-networking glib-networking-common glib-networking-services gnome-accessibility-themes gnome-backgrounds
      gnome-bluetooth gnome-calculator gnome-contacts gnome-control-center-data gnome-desktop3-data gnome-dictionary gnome-flashback gnome-flashback-common gnome-font-viewer gnome-icon-theme-symbolic gnome-online-accounts
      gnome-online-miners gnome-packagekit gnome-packagekit-data gnome-packagekit-session gnome-screenshot gnome-shell gnome-shell-common gnome-shell-extensions gnome-sushi gnome-system-log gnome-system-monitor
      gnome-themes-standard gnome-themes-standard-data gnome-user-share grilo-plugins-0.2 gsettings-desktop-schemas gstreamer1.0-clutter gstreamer1.0-libav gstreamer1.0-nice gstreamer1.0-plugins-bad gstreamer1.0-plugins-base
      gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly gstreamer1.0-pulseaudio gstreamer1.0-x gucharmap gvfs-bin gvfs-common gvfs-daemons gvfs-fuse gvfs-libs hwdata i965-va-driver init-system-helpers intltool-debian
      iputils-arping iw liba52-0.7.4 libaccountsservice0 libaio1 libalgorithm-c3-perl libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl libapache2-mod-dnssd libapt-inst1.5 libapt-pkg4.12
      libarchive-extract-perl libasound2-plugins libasprintf-dev libasprintf0c2 libass5 libassuan0 libasyncns0 libatk-adaptor libatk-bridge2.0-0 libatk1.0-data libatkmm-1.6-1 libatspi2.0-0 libaudio2 libaudit-common libaudit1
      libavahi-core7 libavcodec56 libavformat56 libavresample2 libavutil54 libblas-common libblas3 libboost-date-time1.55.0 libboost-iostreams1.55.0 libboost-system1.55.0 libboost-thread1.55.0 libcairomm-1.0-1 libcamel-1.2-49
      libcanberra-gtk3-0 libcanberra-gtk3-module libcanberra-pulse libcap-ng0 libcap2-bin libcaribou-common libcaribou-gtk-module libcaribou-gtk3-module libcaribou0 libcgi-fast-perl libcgi-pm-perl libcgmanager0
      libchamplain-0.12-0 libchamplain-gtk-0.12-0 libcheese-gtk23 libcheese7 libchromaprint0 libclass-c3-perl libclass-c3-xs-perl libclutter-1.0-common libclutter-gst-2.0-0 libclutter-gtk-1.0-0 libcogl-common libcogl-pango20
      libcogl-path20 libcogl20 libcolord-gtk1 libcolord2 libcolorhug2 libcpan-meta-perl libcrack2 libcryptsetup4 libcupsfilters1 libdaemon0 libdata-optlist-perl libdata-section-perl libdc1394-22 libdca0 libdconf1 libdee-1.0-4
      libdleyna-connector-dbus-1.0-1 libdleyna-core-1.0-3 libdmapsharing-3.0-2 libdpkg-perl libdrm-nouveau2 libdvdnav4 libdvdread4 libebackend-1.2-7 libebook-1.2-14 libebook-contacts-1.2-0 libecal-1.2-16 libedata-book-1.2-20
      libedata-cal-1.2-23 libedataserver-1.2-18 libegl1-mesa libegl1-mesa-drivers libelf1 libelfg0 libenca0 libepoxy0 libestr0 libevdev2 libevdocument3-4 libevent-2.0-5 libevview3-3 libfaad2 libfakeroot libfarstream-0.2-2
      libfcgi-perl libfftw3-double3 libfftw3-single3 libfile-fcntllock-perl libflite1 libfluidsynth1 libfolks-eds25 libfolks-telepathy25 libfolks25 libfontembed1 libfribidi0 libfuse2 libgail-3-0 libgail-common libgbm1
      libgck-1-0 libgconf-2-4 libgcr-3-common libgcr-base-3-1 libgcr-ui-3-1 libgd3 libgdata-common libgdata19 libgdict-1.0-6 libgdict-common libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgdm1 libgee-0.8-2 libgeocode-glib0
      libgettextpo-dev libgettextpo0 libgfbgraph-0.2-0 libgirepository-1.0-1 libgjs0e libglapi-mesa libglew1.10 libglib2.0-bin libglibmm-2.4-1c2a libgme0 libgmime-2.6-0 libgnome-2-0 libgnome-bluetooth13 libgnome-desktop-3-10
      libgnome-keyring-common libgnome-menu-3-0 libgnome2-bin libgnomekbd8 libgoa-1.0-0b libgoa-1.0-common libgoa-backend-1.0-1 libgphoto2-6 libgphoto2-l10n libgphoto2-port10 libgrilo-0.2-1 libgs9 libgs9-common libgsm1
      libgssdp-1.0-3 libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtkglext1 libgtkhtml-4.0-0 libgtkhtml-4.0-common libgtkhtml-editor-4.0-0
      libgtkmm-3.0-1 libgtksourceview-3.0-1 libgtksourceview-3.0-common libgtkspell3-3-0 libgucharmap-2-90-7 libgupnp-1.0-4 libgupnp-av-1.0-2 libgupnp-dlna-2.0-3 libgupnp-igd-1.0-4 libgusb2 libgutenprint2 libgweather-3-6
      libgxps2 libharfbuzz-icu0 libhunspell-1.3-0 libibus-1.0-5 libical1a libicu52 libieee1284-3 libilmbase6 libimobiledevice4 libinput5 libiptcdata0 libjack-jackd2-0 libjavascriptcoregtk-3.0-0 libjavascriptcoregtk-4.0-18
      libjbig0 libjim0.75 libjpeg62-turbo libjson-c2 libjson-glib-1.0-common libkate1 libkpathsea6 liblapack3 liblcms2-2 libllvm3.5 liblog-message-perl liblog-message-simple-perl liblogging-stdlog0 liblognorm1 liblua5.2-0
      libmad0 libmail-sendmail-perl libmbim-glib4 libmbim-proxy libmediaart-1.0-0 libmimic0 libmission-control-plugins0 libmjpegutils-2.1-0 libmm-glib0 libmms0 libmng1 libmnl0 libmodplug1 libmodule-build-perl
      libmodule-pluggable-perl libmodule-signature-perl libmount1 libmozjs-24-0 libmp3lame0 libmpdec2 libmpeg2-4 libmpeg2encpp-2.1-0 libmpg123-0 libmplex2-2.1-0 libmro-compat-perl libmtdev1 libmtp-common libmtp-runtime libmtp9
      libmusicbrainz5-1 libmutter0e libmysqlclient18 libnautilus-extension1a libndp0 libneon27-gnutls libnetfilter-conntrack3 libnice10 libnih-dbus1 libnih1 libnl-3-200 libnl-genl-3-200 libnl-route-3-200 libnm-glib-vpn1
      libnm-glib4 libnm-gtk-common libnm-gtk0 libnm-util2 libnotify4 libnspr4 libnss-mdns libnss-myhostname libnss3 liboauth0 libodbc1 libofa0 libopenal-data libopenal1 libopencore-amrnb0 libopencore-amrwb0
      libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4 libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc2.4 libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4
      libopencv-video2.4 libopenexr6 libopenjpeg5 libopenvg1-mesa libopus0 liborbit-2-0 libpackage-constants-perl libpackagekit-glib2-18 libpam-cap libpam-gnome-keyring libpam-systemd libpanel-applet-4-0 libpango-1.0-0
      libpangomm-1.4-1 libparams-util-perl libparted2 libpcap0.8 libpcre3-dev libpcrecpp0 libpcsclite1 libpeas-1.0-0 libpeas-common libperl4-corelibs-perl libperl5.20 libphonenumber6 libpipeline1 libplist2 libpod-latex-perl
      libpod-readme-perl libpoppler-glib8 libpoppler46 libprotobuf9 libproxy1 libpulse-mainloop-glib0 libpulse0 libpulsedsp libpwquality-common libpwquality1 libpython3-stdlib libpython3.4 libpython3.4-minimal
      libpython3.4-stdlib libqmi-glib1 libqmi-proxy libqpdf13 libqt4-dbus libqt4-xml libqtcore4 libqtdbus4 libqtgui4 libquvi-scripts libquvi7 libregexp-common-perl librest-0.7-0 librtmp1 librygel-core-2.4-2
      librygel-renderer-2.4-2 librygel-server-2.4-2 libsane libsane-common libsane-extras libsane-extras-common libsbc1 libschroedinger-1.0-0 libsecret-1-0 libsecret-common libsidplay1 libsmartcols1 libsndfile1
      libsoftware-license-perl libsoundtouch0 libspandsp2 libspeexdsp1 libsrtp0 libstdc++-4.9-dev libsub-exporter-perl libsub-install-perl libswscale3 libsys-hostname-long-perl libtbb2 libteamdctl0 libtelepathy-farstream3
      libtelepathy-glib0 libtelepathy-logger3 libterm-readkey-perl libterm-ui-perl libtext-soundex-perl libtext-template-perl libtiff5 libtirpc1 libtotem-plparser18 libtotem0 libtracker-control-1.0-0 libtracker-miner-1.0-0
      libtracker-sparql-1.0-0 libtwolame0 libudisks2-0 libunistring0 libupower-glib3 libusbmuxd2 libva1 libvdpau1 libvo-aacenc0 libvo-amrwbenc0 libvpx1 libvte-2.91-0 libvte-2.91-common libwacom-common libwacom2
      libwayland-client0 libwayland-cursor0 libwayland-egl1-mesa libwayland-server0 libwebkit2gtk-4.0-37 libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libwebp5 libwebrtc-audio-processing-0 libwildmidi-config libwildmidi1
      libwnck-3-0 libwnck-3-common libx264-142 libxatracker2 libxcb-dri3-0 libxcb-glx0 libxcb-present0 libxcb-randr0 libxcb-shape0 libxcb-sync1 libxcb-util0 libxcb-xfixes0 libxcb-xkb1 libxkbcommon-x11-0 libxkbcommon0
      libxshmfence1 libxvidcore4 libyelp0 libytnef0 libzapojit-0.0-0 libzbar0 libzeitgeist-2.0-0 lsb-release mesa-utils mobile-broadband-provider-info modemmanager mousetweaks mutter mutter-common mysql-client-5.5
      mysql-server-5.5 mysql-server-core-5.5 network-manager network-manager-gnome ntfs-3g p11-kit p11-kit-modules packagekit packagekit-tools parted php-pear php5-json pkg-php-tools po-debconf poppler-data ppp
      printer-driver-gutenprint pulseaudio pulseaudio-module-x11 pulseaudio-utils python-cups python-cupshelpers python-dbus python-dbus-dev python-gi python-gobject-2 python-pyatspi python-pycurl python-smbc python-talloc
      python-xdg python-zeitgeist python3 python3-apt python3-chardet python3-debian python3-minimal python3-pkg-resources python3-six python3.4 python3.4-minimal qdbus qpdf qt-at-spi qtchooser qtcore4-l10n realmd rename
      rpcbind rtkit rygel samba-libs sane-utils sound-theme-freedesktop startpar system-config-printer system-config-printer-udev systemd systemd-shim telepathy-logger telepathy-mission-control-5 tracker tracker-gui udisks2
      unzip usb-modeswitch usb-modeswitch-data va-driver-all vdpau-va-driver vino wireless-regdb wpasupplicant xdg-user-dirs xserver-xorg-input-mouse xserver-xorg-input-vmmouse xserver-xorg-video-modesetting xwayland yelp-xsl
      zeitgeist zeitgeist-core zeitgeist-datahub zenity-common
    Následující balíky jsou podrženy v aktuální verzi:
      base-passwd bind9-host clamav clamav-freshclam dnsutils esound-common gedit gedit-common grub-common grub-pc iproute iptables iputils-ping isc-dhcp-client isc-dhcp-common libbind9-60 libclamav6 libdns69 libenchant1c2a
      libesd0 libgcrypt11 libgcrypt11-dev libgpgme11 libgtkhtml3.14-19 libidl0 libisc62 libisccfg62 liblockfile1 liblwres60 libmailtools-perl libpam-modules libsasl2-2 libv4l-0 libwww-perl login m4 mc mutt openssh-client
      openssh-server passwd phpmyadmin postgresql procps python-reportbug reportbug squid3 squid3-common sysvinit texinfo ttf-freefont udisks wget
    Následující balíky budou aktualizovány:
      acpid anacron apache2 apache2-mpm-prefork apache2-utils apache2.2-bin apt apt-utils aptitude at base-files bash bc bsdmainutils bsdutils busybox ca-certificates console-setup consolekit cpio cron cups cups-client
      cups-ppdc curl dbus dbus-x11 desktop-file-utils diffutils dmsetup docbook-xml dpkg e2fslibs e2fsprogs eog epiphany-browser epiphany-browser-data evince evince-common evolution evolution-common evolution-data-server
      evolution-data-server-common exim4 exim4-base exim4-config exim4-daemon-light file findutils firebird2.5-common firebird2.5-common-doc fontconfig ftp gconf2 gconf2-common gdm3 gettext-base ghostscript gnome-applets
      gnome-applets-data gnome-control-center gnome-desktop-data gnome-doc-utils gnome-icon-theme gnome-keyring gnome-menus gnome-panel gnome-panel-data gnome-power-manager gnome-screensaver gnome-session gnome-session-bin
      gnome-session-common gnome-settings-daemon gnome-terminal gnome-terminal-data gnome-user-guide gnupg grep gstreamer0.10-alsa gstreamer0.10-plugins-base gstreamer0.10-x gtk2-engines gtk2-engines-pixbuf gvfs gvfs-backends
      gzip iceweasel ifupdown info initramfs-tools initscripts install-info keyboard-configuration klibc-utils less libaa1 libapache2-mod-perl2 libapache2-mod-php5 libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap
      libart-2.0-2 libaspell15 libatasmart4 libatk1.0-0 libavahi-gobject0 libavahi-ui0 libavc1394-0 libblas3gf libblkid1 libbonobo2-0 libbonobo2-common libbonoboui2-0 libbsd-resource-perl libc-client2007e libcaca0
      libcanberra-gtk0 libcanberra0 libcap2 libcdparanoia0 libck-connector0 libclutter-1.0-0 libcroco3 libcupscgi1 libcupsimage2 libcupsppdc1 libcurl3 libcurl3-gnutls libcurl4-gnutls-dev libcwidget3 libdatrie1
      libdbd-mysql-perl libdbi-perl libdevmapper1.02.1 libdjvulibre21 libdrm-intel1 libdrm-radeon1 libdrm2 libdv4 libedit2 libevolution libexempi3 libfam0 libfbclient2 libflac8 libfontenc1 libfs6 libgail18 libgc1c2 libgconf2-4
      libgdbm3 libgeoip1 libgl1-mesa-dri libgl1-mesa-glx libglade2-0 libglib2.0-0 libglu1-mesa libgnome-desktop-2-17 libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0 libgnomekbd-common libgnomeui-0
      libgnomevfs2-0 libgpm2 libgsf-1-114 libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libgtksourceview2.0-0 libgudev-1.0-0 libgweather-common libhtml-parser-perl libice6
      libidn11 libidn11-dev libiec61883-0 libijs-0.35 libjasper1 libjson-glib-1.0-0 libkadm5clnt-mit7 libkadm5srv-mit7 libklibc liblapack3gf libldap-2.4-2 libldap2-dev liblocale-gettext-perl libltdl-dev libltdl7 liblua5.1-0
      libmagic1 libmysqlclient16 libncurses5 libncursesw5 libnet-dbus-perl libnewt0.52 libnfnetlink0 libnfsidmap2 libnspr4-0d libnss3-1d libogg0 libonig2 libopts25 liborbit2 liborc-0.4-0 libpam0g libpaper1 libpci3
      libpciaccess0 libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpopt0 libpq5 libpth20 libraw1394-11 libreadline6 librpcsecgss3 librsvg2-2 librsvg2-common libsepol1 libshout3 libsigc++-2.0-0c2a libslang2
      libslp1 libsm6 libsoup-gnome2.4-1 libsoup2.4-1 libspectre1 libspeex1 libss2 libssh2-1 libssl-dev libssl0.9.8 libstartup-notification0 libtag1-vanilla libtag1c2a libtext-charwidth-perl libtext-iconv-perl libthai0
      libtheora0 libunique-1.0-0 libusb-0.1-4 libusb-1.0-0 libuuid-perl libuuid1 libvisual-0.4-0 libvorbis0a libvorbisenc2 libvorbisfile3 libvte-common libvte9 libwavpack1 libwnck22 libwrap0 libx11-xcb1 libxapian22 libxaw7
      libxcb-dri2-0 libxcb-render-util0 libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxfont1 libxft2 libxi6 libxinerama1 libxkbfile1 libxml-parser-perl libxml2-utils libxmu6 libxmuu1 libxpm4 libxrandr2 libxres1
      libxslt1.1 libxss1 libxt6 libxtst6 libxv1 libxvmc1 libxxf86dga1 libxxf86vm1 logrotate man-db mdadm menu metacity-common mime-support mount mysql-client mysql-common mysql-server nano nautilus nautilus-data ncurses-bin
      netbase netcat-traditional nfs-common notification-daemon ntp odbcinst odbcinst1debian2 openssl patch pciutils perl perl-base perl-modules php5 php5-cli php5-common php5-curl php5-dev php5-gd php5-imap php5-interbase
      php5-ldap php5-mcrypt php5-mysql php5-odbc policykit-1 policykit-1-gnome poppler-utils postgresql-common psmisc python python-gmenu python-minimal python-numpy rsync rsyslog sgml-base sgml-data shared-mime-info
      squidguard sudo system-tools-backends sysv-rc sysvinit-utils tar tasksel tasksel-data totem totem-common udev unixodbc upower usbmuxd util-linux vim vim-common vim-runtime vim-tiny w3m whiptail whois x11-apps
      x11-session-utils x11-utils x11-xserver-utils xfonts-utils xml-core xorg xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-synaptics xserver-xorg-video-all
      xserver-xorg-video-ati xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-geode xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic
      xserver-xorg-video-nouveau xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb xserver-xorg-video-tdfx
      xserver-xorg-video-trident xserver-xorg-video-vesa xserver-xorg-video-vmware xsltproc xz-utils yelp zenity
    400 aktualizováno, 676 nově instalováno, 57 k odstranění a 53 neaktualizováno.
    259 instalováno nebo odstraněno pouze částečně.
    Potřebuji stáhnout 0 B/564 MB archivů.
    Po této operaci bude na disku použito dalších 904 MB.
    Chcete pokračovat [Y/n]?
    Traceback (most recent call last):
      File "/usr/bin/apt-listchanges", line 28, in < module>
        import apt_pkg
    ImportError: No module named apt_pkg
    Extrahují se šablony z balíků: 100%
    Přednastavují se balíky…
    get_release: WARNING: /etc/os-release and lsb_release not present, unknown distribution
    /usr/share/postgresql-common/supported-versions: 55: /usr/share/postgresql-common/supported-versions: DISTRO: parameter not set
    postgresql-common nemohl být přednastaven, skončil chybou 2
    (Čtu databázi … nyní je nainstalováno 72417 souborů a adresářů.)
    Připravuji nahrazení cups 1.4.4-7+squeeze1 (pomocí …/cups_1.7.5-11_i386.deb) …
    dpkg: chyba při zpracovávání /var/cache/apt/archives/cups_1.7.5-11_i386.deb (--unpack):
     ci soubor pro spouštěče obsahuje neznámou direktivu „interest-noawait“
    configured to not write apport reports
                                          Při zpracování nastaly chyby:
     /var/cache/apt/archives/cups_1.7.5-11_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    Ještě jsem si všiml, že je naistalovaný python 2.6. i 2.7, ale používá se 2.6. Ale to asi není jediný problém.

    Můžete mi někdo poradit, jak ten systém aktualizovat bez přeinstalování celého systému?

    Předem děkuji.

    Václav

    Řešení dotazu:


    Odpovědi

    Jendа avatar 27.7.2015 09:47 Jendа | skóre: 74 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: Aktualizace starého serveru - Debian 6
    Začal bych přidáním squeeze-lts a apt-get update.

    Potom používám standardně k řešení těchto problémů spouštění apt-get -f install, dpkg --configure -a a apt-get purge rozbitých balíčků náhodně dokola až se to chytne.

    Btw. chybí ti python-apt a nějaké soubory v /etc. Pokud je to důsledkem poškozeného souborového systému, udělej ještě debsums -s.
    Much eRecept, very security, so DH-1024, many TLS1.0, very java, wow.
    27.7.2015 10:01 smartass
    Rozbalit Rozbalit vše Re: Aktualizace starého serveru - Debian 6
    Pokud se nemýlím, snažíte se o aktualizaci Squeeze (6) -> Jessie (8). Přeskočit Wheezy (7) není dobrý nápad, upgrade path je stavěný pouze pro upgrade mezi jednotlivými verzemi. Nejdříve doporučuji upgradovat na Wheezy a pak teprve na Jessie.
    Řešení 1× (Wex (tazatel))
    Jendа avatar 27.7.2015 10:08 Jendа | skóre: 74 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: Aktualizace starého serveru - Debian 6
    Aha, takže má nejspíš v sources.list "stable" místo "squeeze". To by to vysvětlovalo.

    Jinak nedávno jsem několik strojů upgradoval a naprosto bez problémů. Jenom jsem musel místo systemd v Jessie použít sysvinit (takhle), protože můj kernel nemá a prostě nemůže mít cgroups.
    Much eRecept, very security, so DH-1024, many TLS1.0, very java, wow.
    27.7.2015 10:14 Wex | skóre: 4
    Rozbalit Rozbalit vše Re: Aktualizace starého serveru - Debian 6
    Ano, toto byl ten problém. Bylo tam stable místo squeeze. Děkuji všem za rady.
    27.7.2015 10:02 R
    Rozbalit Rozbalit vše Re: Aktualizace starého serveru - Debian 6
    Na aku verziu sa to pokusas updatovat? Updatuj to na posledny squeeze a potom podla oficialneho postupu na wheezy a az nasledne na jessie!
    27.7.2015 12:38 Wex | skóre: 4
    Rozbalit Rozbalit vše Re: Aktualizace starého serveru - Debian 6
    Ahoj, ještě mám jeden dotaz. Tím, že jsem se to pokoušel aktualizovat násilím před tím, než jsem opravil sources.list, tak už jsem pak nebyl schopný provést aktualizaci a nakonec jsem to rozvrtal do nepoužitelného stavu. Zkoušel jsem update na wheeze, který se nepovedl a systém teď nenastartuje.

    Proto jsem se chtěl ještě zeptat, jaká je nejjednodušší cesta k záchraně systému. Jedná se prakticky o webový server s databází + je tam ještě několik uživatelů, kteří tam mají svá data.

    Jediné řešení, co mě napadá, tak nabootovat live distribuci, zazálohovat všechny soubory, offline záloha databáze a záloha uživatelů. pak to přeinstalovat, nakonfigurovat a obnovit zálohy.

    Existuje nějaká jednodušší cesta, popřípadě má ten můj navrhovaný postup nějaký háček?

    Díky všem za trpělivost.
    Jendа avatar 27.7.2015 14:31 Jendа | skóre: 74 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: Aktualizace starého serveru - Debian 6
    Proto jsem se chtěl ještě zeptat, jaká je nejjednodušší cesta k záchraně systému.
    To záleží samozřejmě na tom z jakého důvodu to nebootuje.
    Jediné řešení, co mě napadá, tak nabootovat live distribuci, zazálohovat všechny soubory, offline záloha databáze a záloha uživatelů. pak to přeinstalovat, nakonfigurovat a obnovit zálohy.
    Ano, to by šlo. Taky se to z té live distribuce můžeš pokusit zachránit.
    Much eRecept, very security, so DH-1024, many TLS1.0, very java, wow.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.